
from qgis.utils import *
from qgis.core import *
from qgis.gui import *
from PyQt4.QtGui import *
from PyQt4.QtCore import *
import os
from mains import sync, validate, update
from PyQt4.QtCore import pyqtSignal, QEvent, QT_VERSION_STR, QObject, SIGNAL
from PyQt4.pyqtconfig import Configuration
import platform

reload(sync)
reload(validate)
reload(update)


def run(initial_path):
	os.chdir(os.path.dirname(initial_path))
	msToolbar = QToolBar("Microzonazione")

	actionSync = QAction(QIcon(r"./icons/syncronize.png"), "Sincronizza", iface.mainWindow())
	actionValidate = QAction(QIcon(r"./icons/validate.png"), "Valida", iface.mainWindow())
	actionUpdate = QAction(QIcon(r"./icons/update.png"), "Aggiornamenti", iface.mainWindow())
	actionInfo = QAction(QIcon(r"./icons/info.png"), "Informazioni", iface.mainWindow())

	actionSync.triggered.connect(sync.syncronize)
	actionValidate.triggered.connect(validate.run)
	actionUpdate.triggered.connect(update.updateProject)
	actionInfo.triggered.connect(helpAbout)

	msToolbar.addWidget(QLabel("Microzonazione Sismica"))
	msToolbar.addSeparator()
	msToolbar.addAction(actionSync)
	msToolbar.addAction(actionValidate)
	msToolbar.addAction(actionUpdate)
	msToolbar.addAction(actionInfo)

	iface.addToolBar(msToolbar)
	
def helpAbout():		
	with open(r"./metadata/version") as f:
		_VERSION = f.readlines()[0].strip()
	cfg = Configuration()
	msgBox = QMessageBox()
	msgBox.setWindowTitle("About MS3 Soft")
	msgBox.setText("""<b>Microzonazione Sismica</b> v {}	
				<p>Toolbar per Microzonazione Sismica</p>
				<p>Python {} - Qt {} - PyQt {} su {}</p>""".format(_VERSION, platform.python_version(),
				QT_VERSION_STR, cfg.pyqt_version_str, platform.system()))
	msgBox.setIconPixmap(QPixmap(r"./icons/info.png"))
	msgBox.exec_()
